
@echo off
VERIFY OTHER 2>nul
setlocal ENABLEEXTENSIONS
if ERRORLEVEL 0 goto assertAvatarHome
echo "Unable to enable extensions"
exit /B 1

:assertAvatarHome
if NOT "%AVATAR_HOME%" == "" goto assertJavaVersion
echo AVATAR_HOME is not set. Please set AVATAR_HOME and then try again.
echo AVATAR_HOME should point to the GlassFish Server directory. In a default GlassFish Server installation it is <workspace>/glassfish4/glassfish directory in which avatar-1.0-ea.zip file was unzipped.
exit /B 1

:assertJavaVersion
set OKVERSION="1.8.0-ea"
java -version 2>%TEMP%\java_version.txt
for /f "tokens=3" %%g in (%TEMP%\java_version.txt) do (
	set version=%%g
	if not %%g == %OKVERSION% goto wrongJavaVersion
	goto run
)

:wrongJavaVersion
echo Project Avatar requires Java 1.8, found %version%. Please download from:
echo     http://jdk8.java.net/download.html
echo and ensure that it is accessible in your PATH.
exit /B 1

:run
set modulesDir=%AVATAR_HOME%\modules
set cliJar=%modulesDir%\avatar-servlet.jar
java -jar "%cliJar%" %*


